- name: Check supported flavors
  fail:
    msg: "Unsupported centos_base_flavor {{ centos_base_flavor }}"
  when: centos_base_flavor not in centos_base_supported_flavors
  tags: always
  vars:
    centos_base_supported_flavors:
      - default
      - docker

- name: Check for AIDE DB
  stat:
    path: /var/lib/aide/aide.db.gz
  register: aide_db

- name: Run AIDE check
  shell: |
    /usr/sbin/aide --check
  register: aide_results
  changed_when: False
  failed_when: False
  when:
    - aide_db.stat.exists

- name: Fail if AIDE DB check errors
  fail:
    msg: "AIDE check failed. DB is dirty."
  when:
    - aide_db.stat.exists
    - not centos_base_update_aide
    - aide_results.rc != 0

- name: Update AIDE DB if forced
  debug:
    msg: "Updating AIDE DB"
  when:
    - aide_db.stat.exists
    - centos_base_update_aide
    - aide_results.rc != 0
  changed_when: True
  notify:
    - update aide db

- name: Include profile variables
  include_vars:
    dir: "vars/flavor/{{ centos_base_flavor }}/"

- name: Install EPEL if required
  yum:
    name: "{{ 'epel-release' if ansible_facts['distribution'] == 'CentOS' else 'https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm' }}"
    state: present

- name: Install dependencies
  package:
    name: "{{ item }}"
    state: present
  loop:
    - yum-utils
    - openscap-scanner
    - python2-pip
  notify: reboot if needed

- name: Install dictdiffer required module
  pip:
    name: dictdiffer==0.8.1
    state: present

- name: Write STIG checklist xccdf
  template:
    src: templates/U_RHEL_7_V3R1_STIG_SCAP_1-2_Benchmark.xml
    dest: /usr/local/security/
    mode: 0600
    owner: root
    group: root
